Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.util
Interface ClassPath.ClassFile

Enclosing interface:
  ClassPath

public static interface ClassPath.ClassFile

Contains information about file/ZIP entry of the Java class.

Method Summary
`java.lang.String` | `getBase()`
`java.io.InputStream` | `getInputStream()`
`java.lang.String` | `getPath()`
`long` | `getSize()`
`long` | `getTime()`

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Returns:
    input stream for class file.
    `java.io.IOException`

### getPath

    public java.lang.String getPath()

  Returns:
    canonical path to class file.

### getBase

    public java.lang.String getBase()

  Returns:
    base path of found class, i.e. class is contained relative to that path, which may either denote a directory, or zip file

### getTime

    public long getTime()

  Returns:
    modification time of class file.

### getSize

    public long getSize()

  Returns:
    size of class file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.